stages:
  - build
  - docs

before_script:
  - apt-get update -qq && apt-get install -y -qq curl libclang-common-6.0-dev clang libsdl2-dev libsdl2-gfx-dev libsdl2-doc libsdl2-ttf-dev
  - curl https://sh.rustup.rs -sSf | sh -s -- -y
  - source /opt/yottadb/current/ydb_env_set
  - source $HOME/.cargo/env 

rust-latest:
  stage: build
  image: yottadb/yottadb-base:latest-master
  script:
    - cargo build --verbose
    - cargo test --verbose

rust-nightly:
  stage: build
  image: yottadb/yottadb-base:latest-master
  script:
    - rustup toolchain install nightly
    - rustup default nightly
    - cargo build --verbose
    - cargo test --verbose
  allow_failure: true

pages:
  image: yottadb/yottadb-base:latest-master
  stage: docs
  dependencies:
    - rust-latest
  script:
    - cargo doc --no-deps
    - mv target/doc public
    - echo '<meta http-equiv="refresh" content="0; url=yottadb">' > public/index.html
  artifacts:
    paths:
      - public
    when: always
